Get tenancy configs

Note: This endpoint may be subject to changes.

GET https://api.ap1.datadoghq.com/api/v2/integration/oci/tenancieshttps://api.ap2.datadoghq.com/api/v2/integration/oci/tenancieshttps://api.datadoghq.eu/api/v2/integration/oci/tenancieshttps://api.ddog-gov.com/api/v2/integration/oci/tenancieshttps://api.us2.ddog-gov.com/api/v2/integration/oci/tenancieshttps://api.uk1.datadoghq.com/api/v2/integration/oci/tenancieshttps://api.datadoghq.com/api/v2/integration/oci/tenancieshttps://api.us3.datadoghq.com/api/v2/integration/oci/tenancieshttps://api.us5.datadoghq.com/api/v2/integration/oci/tenancies

Présentation

Récupérer la liste de toutes les intégrations de location OCI configurées. Renvoie des informations de base sur chaque location, notamment les identifiants d’authentification, les paramètres de région et les préférences de collecte pour les métriques, les logs et les ressources.

Réponse

OK

Response containing a list of OCI tenancy integration configurations.

Expand All

Champ

Type

Description

data [required]

[object]

List of OCI tenancy integration configuration objects.

attributes

object

Attributes of an OCI tenancy integration configuration, including authentication details, region settings, and collection options.

billing_plan_id

int32

The identifier of the billing plan associated with the OCI tenancy.

config_version

int64

Version number of the integration the tenancy is integrated with

cost_collection_enabled

boolean

Whether cost data collection from OCI is enabled for the tenancy.

dd_compartment_id

string

The OCID of the OCI compartment used by the Datadog integration stack.

dd_stack_id

string

The OCID of the OCI Resource Manager stack used by the Datadog integration.

home_region

string

The home region of the OCI tenancy (for example, us-ashburn-1).

logs_config

object

Log collection configuration for an OCI tenancy, indicating which compartments and services have log collection enabled.

compartment_tag_filters

[string]

List of compartment tag filters scoping log collection to specific compartments.

enabled

boolean

Whether log collection is enabled for the tenancy.

enabled_services

[string]

List of OCI service names for which log collection is enabled.

metrics_config

object

Metrics collection configuration for an OCI tenancy, indicating which compartments and services are included or excluded.

compartment_tag_filters

[string]

List of compartment tag filters scoping metrics collection to specific compartments.

enabled

boolean

Whether metrics collection is enabled for the tenancy.

excluded_services

[string]

List of OCI service names excluded from metrics collection.

parent_tenancy_name

string

The name of the parent OCI tenancy, if applicable.

regions_config

object

Region configuration for an OCI tenancy, indicating which regions are available, enabled, or disabled for data collection.

available

[string]

List of OCI regions available for data collection in the tenancy.

disabled

[string]

List of OCI regions explicitly disabled for data collection.

enabled

[string]

List of OCI regions enabled for data collection.

resource_collection_enabled

boolean

Whether resource collection from OCI is enabled for the tenancy.

tenancy_name

string

The human-readable name of the OCI tenancy.

user_ocid

string

The OCID of the OCI user used by the Datadog integration for authentication.

id

string

The OCID of the OCI tenancy.

type [required]

enum

OCI tenancy resource type. Allowed enum values: oci_tenancy

default: oci_tenancy

{
  "data": [
    {
      "attributes": {
        "config_version": 2,
        "cost_collection_enabled": true,
        "dd_compartment_id": "ocid.compartment.test",
        "dd_stack_id": "ocid.stack.test",
        "home_region": "us-ashburn-1",
        "logs_config": {
          "compartment_tag_filters": [
            "compartment.test"
          ],
          "enabled": true,
          "enabled_services": [
            "compute"
          ]
        },
        "metrics_config": {
          "compartment_tag_filters": [
            "compartment.test"
          ],
          "enabled": true,
          "excluded_services": [
            "compute"
          ]
        },
        "regions_config": {
          "available": [
            "us-ashburn-1",
            "us-phoenix-1"
          ],
          "disabled": [
            "us-phoenix-1"
          ],
          "enabled": [
            "us-ashburn-1"
          ]
        },
        "resource_collection_enabled": true,
        "user_ocid": "ocid.user.test"
      },
      "id": "ocid.tenancy.test",
      "type": "oci_tenancy"
    }
  ]
}

Too many requests

API error response.

Expand All

Champ

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Exemple de code

                  # Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/oci/tenancies" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Get tenancy configs returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.oci_integration_api import OCIIntegrationApi

configuration = Configuration()
configuration.unstable_operations["get_tenancy_configs"] = True
with ApiClient(configuration) as api_client:
    api_instance = OCIIntegrationApi(api_client)
    response = api_instance.get_tenancy_configs()

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# Get tenancy configs returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_tenancy_configs".to_sym] = true
end
api_instance = DatadogAPIClient::V2::OCIIntegrationAPI.new
p api_instance.get_tenancy_configs()

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// Get tenancy configs returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetTenancyConfigs", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOCIIntegrationApi(apiClient)
	resp, r, err := api.GetTenancyConfigs(ctx)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OCIIntegrationApi.GetTenancyConfigs`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OCIIntegrationApi.GetTenancyConfigs`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// Get tenancy configs returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OciIntegrationApi;
import com.datadog.api.client.v2.model.TenancyConfigList;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getTenancyConfigs", true);
    OciIntegrationApi apiInstance = new OciIntegrationApi(defaultClient);

    try {
      TenancyConfigList result = apiInstance.getTenancyConfigs();
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OciIntegrationApi#getTenancyConfigs");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// Get tenancy configs returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_oci_integration::OCIIntegrationAPI;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetTenancyConfigs", true);
    let api = OCIIntegrationAPI::with_config(configuration);
    let resp = api.get_tenancy_configs().await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * Get tenancy configs returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getTenancyConfigs"] = true;
const apiInstance = new v2.OCIIntegrationApi(configuration);

apiInstance
  .getTenancyConfigs()
  .then((data: v2.TenancyConfigList) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"